Skip to main content

Get Customer Detail

Retrieves the customer detail by ID.

Request​

Request-Line​

GET /sfd/v2.0/customers/{customerId} HTTP/1.1

Request Parameters​

Path Parameters​

ParameterTypeRequiredDescription
customerIdIntegerMandatoryUnique identifier of the customer record.

Response​

Response Body​

Property nameTypeRequiredDescription
idIntegerMandatoryUnique identifier of the customer record.
nameStringMandatoryName of the customer.
parentIdIntegerMandatoryParent ID.
typeShortMandatoryCustomer type.
1 - Partner.
2 - Customer.
partnershipShortOptionalIgnore this field.
regionStringOptionalRegion.
industryStringOptionalIndustry.

Status Codes, Error Codes and Error Messages​

Status CodeError CodeError Message
400CustomerId.InvalidCustomer ID is empty or invalid.

Examples​

Get Customer Detail​

Request​

GET /sfd/v2.0/customers/1 HTTP/1.1

Successful Response Body​

{
"id": 1,
"name": "flashcone",
"parentId": 0,
"type": 1,
"partnership": 1,
"region": "SG",
"industry": "Cloud Service Providers"
}